VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmTiffCompresion 
   Caption         =   "Form1"
   ClientHeight    =   585
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   1830
   LinkTopic       =   "Form1"
   ScaleHeight     =   585
   ScaleWidth      =   1830
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog CDlg 
      Left            =   1920
      Top             =   30
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Tiff laden"
      Height          =   465
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   1725
   End
End
Attribute VB_Name = "frmTiffCompresion"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()

    Dim strTiffPath As String
    
    ' Fehlerbehandlung
    On Error GoTo errorhandler
    
    strTiffPath = App.Path
    
    If Right$(strTiffPath, 1) <> "\" Then strTiffPath = strTiffPath & "\"
    
    strTiffPath = strTiffPath & "Tiffs\"
    
    ' Parameter fr den Commondialog setzen
    With CDlg
        .CancelError = True
        .Filter = "Tif Files (*.tif, *.tiff)|*.tif; *.tiff"
        .InitDir = strTiffPath
        .ShowOpen
    End With
    
    ' Ausgabe der Infos
    MsgBox "Das Kompressionsverfahren der TIFF-Datei " & Chr$(34) & _
        CDlg.FileTitle & Chr$(34) & " ist: " & GetTiffCompression( _
        CDlg.FileName)
        
    Exit Sub
    
errorhandler:

End Sub

' ------------------------------------------------------
' Beschreibung : Form laden
' ------------------------------------------------------
Private Sub Form_Load()

    GdipInitialized = False
    
    ' GDI+ initialisieren
    If StartUpGDIPlus = OK Then
    
        GdipInitialized = True
        
    Else
    
        MsgBox "GDI+ not inizialized.", vbOKOnly, "GDI Error"
        
    End If
    
End Sub

' ------------------------------------------------------
' Beschreibung : Form entladen
' ------------------------------------------------------
Private Sub Form_Unload(Cancel As Integer)

    ' ist GDI+ Initialisiert
    If GdipInitialized = True Then
    
        ' GDI+ beenden
        Call ShutDownGDIPlus
        
    End If
    
End Sub
